/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.tck.scenario142.javaruntime;

import org.apache.kato.tck.harness.scenario.ScenarioElement;




public class SetupJavaField_getSignature extends ScenarioElement  {
	public byte byteField=1;
	public short shortField = 2;
	public char charField='3';
	public int intField = 4;
	public long longField = 5;
	public float floatField = 6;
	public double doubleField = 7;
	public String objectField = "8";
	public byte[] byteArrayField = {9};
	public short[] shortArrayField = {10};
	public char[] charArrayField = {'b'};
	public int[] intArrayField = {12};
	public long[] longArrayField = {13};
	public float[] floatArrayField = {14};
	public double[] doubleArrayField = {15};
	public String[] objectArrayField = {"16"};
	public byte[][] byteArrayArrayField = {{17}};
	short[][] shortArrayArrayField = {{18}};
	public char[][] charArrayArrayField = {{'c'}};
	public int[][] intArrayArrayField = {{20}};
	public long[][] longArrayArrayField = {{21}};
	public float[][] floatArrayArrayField = {{22}};
	public double[][] doubleArrayArrayField = {{23}};
	public String[][] objectArrayArrayField = {{"24"}};
	
	
	public class Class_\u0412\u043e\u0434\u043a\u0430_Value {
		
	}

	public Class_\u0412\u043e\u0434\u043a\u0430_Value unicodeClass = new Class_\u0412\u043e\u0434\u043a\u0430_Value();
	public Class_\u0412\u043e\u0434\u043a\u0430_Value unicodeClassArray[] = new Class_\u0412\u043e\u0434\u043a\u0430_Value[2];

	public static String unicodeClassName = Class_\u0412\u043e\u0434\u043a\u0430_Value.class.getName().replace('.','/');
}
