/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.tck.harness;

public interface ConsoleOutputConstants {

	public static final String TCK_TEST_SUITE_EXECUTION_BEGINS = "TCK Test Suite Execution begins";
	public static final String TCK_TEST_SUITE_EXECUTION_ENDS = "TCK Test Suite Execution ends";
	public static final String TCK_TEST_ERROR = "TCK Test error  ";
	public static final String TCK_TEST_FAILED = "TCK Test failed  ";
	public static final String TCK_TEST_PASSED = "TCK Test passed  ";
	public static final String BUILD = "build ";
	public static final String ARCH = "arch ";
	public static final String OS = "os ";
	public static final String TESTSUITE = "testsuite ";
	public static final String VMTYPE = "vmtype ";
	public static final String VENDOR = "vendor ";
	public static final String DUMPTYPE = "dumptype ";
	public static final String DATE     = "date     ";
	public static final String VERSION  = "version  ";  
	public static final String WORDSIZE = "wordsize ";  
	public static final String STACK_TRACE_END = "STACK TRACE END";
	public static final String STACK_TRACE_START = "STACK TRACE START";
}
