/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.tck.scenario142.javaruntime;

import org.apache.kato.tck.harness.scenario.ScenarioElement;




/**
 * 
 * 
 */
public class SetupJavaClassLoader_getJavaObject extends ScenarioElement  {

	static TCKClassLoader referenceClassLoader;

	public class TCKClassLoader extends ClassLoader {

		private String JavaClassLoader_getJavaObject = "JavaClassLoader_getJavaObject";

		public Class findClass(String name) {
			byte[] b = loadClassData(name);
			return defineClass(name, b, 0, b.length);
		}
		private byte[] loadClassData(String name) {
			return null;
		}
	}


	public void configureJavaClassLoader_getJavaObject()
	{
		referenceClassLoader = new TCKClassLoader();
	}
}
