/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.tck.scenario142.javaruntime;

import org.apache.kato.tck.harness.scenario.ScenarioElement;




/**
 * Test JavaField.getDouble() against various fields and values.
 * 
 */
public class SetupJavaField_getDouble extends ScenarioElement  {
	public double maxDouble = Double.MAX_VALUE;
	public double minDouble = Double.MIN_VALUE;
	public static double staticMinDouble = Double.MIN_VALUE;
	public double zeroDouble = 0;
	public double negDouble = -0x55a55a5a5a5aa75al;
	public double posDouble = +0x2a5a75a55a5a75a5l;
	public boolean booleanValue = false;
	public Object objectReference = new Object();
	public int intValue = 0xfafafafa;
	public byte byteValue = 1;
	public short shortValue =2;
	public char charValue = 3;
	public float floatValue = (float)5.0;
	public double doubleValue = (double)6;
	public long longValue = 0x37faf57a57fad7fal;

}
