/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.katoview.commands.helpers;

import javax.tools.diagnostics.runtime.java.JavaRuntime;
import javax.tools.diagnostics.runtime.java.JavaThread;

public class ThreadData {
	
	private JavaThread jt;
	private JavaRuntime jr;

	public ThreadData(JavaThread _jt, JavaRuntime _jr) {
		jt = _jt;
		jr = _jr;
	}
	
	public JavaThread getThread() {
		return jt;
	}
	
	public JavaRuntime getRuntime() {
		return jr;
	}
}
